Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.content
Class IContentTypeManager.ContentTypeChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.core.runtime.content.IContentTypeManager.ContentTypeChangeEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  IContentTypeManager

public static final class IContentTypeManager.ContentTypeChangeEvent
extends EventObject

An event object which describes the details of a change to a content type.

Types of changes include a change in the file associations or a change in the encoding setting.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`IContentTypeManager.ContentTypeChangeEvent(IContentType source)` Constructor for a new content type change event.

Method Summary
`IContentType` | `getContentType()` Return the content type object associated with this change event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IContentTypeManager.ContentTypeChangeEvent

    public IContentTypeManager.ContentTypeChangeEvent(IContentType source)

  Constructor for a new content type change event.

Parameters:
  `source` - the content type that changed

Method Detail

### getContentType

    public IContentType getContentType()

  Return the content type object associated with this change event.

  Returns:
    the content type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.